Bug 169981 - reboot oopses unloading ip_conntrack
reboot oopses unloading ip_conntrack
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: David Miller
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-10-05 23:48 EDT by Alexandre Oliva
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-28 13:06:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2005-10-05 23:48:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8b4) Gecko/20050915 Fedora/1.5-0.5.0.beta1 Firefox/1.4

Description of problem:
I've been getting oopses on reboot with the last few rawhide kernels.  What I see on screen after the box takes too long to reboot goes like this.  Part of the message has already scrolled out, unfortunately.  Typos are all mine.

Call Trace:<ffffffff88308c29>{:ip_conntrack:ip_conntrack_cleanup+20}

Code: f0 ff 0a 0f 94 c0 84 c0 74 0f 48 89 d7 ff 52 00 48 8b 35 d7
RIP <ffffffff88308b8a>{:ip_conntrack:ip_conntrack_flush+74} RSP <ffff81001b1b9eb8>
 <0>Kernel panic - not syncing: Oops

Another trace appears below, with panic+133, vgacon_cursor+219, redraw_screen+399, vgacon_cursor+219, oops_end+71, die+66, do_general_protection+257, error_exit+0, :ip_conntrack:ip_conntrack_flush+74, :ip_conntrack:ip_conntrack_flush+11, :ip_conntrack:ip_conntrack_cleanup+20, :ip_conntrack:init_or_cleanup+676, sys_delete_module+490, syscall_trace_enter+217, tracesys+209

Version-Release number of selected component (if applicable):
kernel-2.6.13-1.1592_FC5 (and also 1588_FC5)

How reproducible:

Steps to Reproduce:
1.Reboot an Athlon64 notebook running IPv4 only, iptables, a single network interface plus a bunch of virtual tun interfaces, some used by vpnc, some used by openvpn.

Actual Results:  The oops above

Expected Results:  Should reboot cleanly

Additional info:
Comment 1 David Miller 2005-10-06 01:15:53 EDT
Are you running an SMP kernel by chance?
Comment 2 Dave Jones 2005-10-06 01:20:31 EDT
in rawhide, there is no UP x86-64 kernel any more.
Comment 3 David Miller 2005-10-06 02:35:52 EDT
Ok, that's a good clue then.

I think the per-cpu walking in ip_ct_event_cache_flush() is suspect.
The "for_each_cpu()" should be "for_each_online_cpu()".

Let me consult the netfilter folks, who unfortunately right now are
not very responsive since the netfilter summit is about this time.
Comment 4 Dave Jones 2005-12-28 00:12:38 EST
Is this still happening on the latest builds ?
Comment 5 Alexandre Oliva 2005-12-28 13:06:23 EST
Nope, it appears to have been fixed a while ago.

Note You need to log in before you can comment on or make changes to this bug.